function [success, message] = validateCombinationsInput(pCombinationsTable)
%VALIDATECOMBINATIONSINPUT Summary of this function goes here
%   Detailed explanation goes here

success = false;
message = 'Unknown error';

%% Validate all columns
if any(isnan(pCombinationsTable.combinationBegin))
    message = 'The "Begin" column contains an invalid value!';
    return;
end

if any(isnan(pCombinationsTable.combinationEnd))
    message = 'The "End" column contains an invalid value!';
    return;
end

unfilledSoundsources = strcmp(pCombinationsTable.soundsources, '');
isInterpolationMethod = artoa.trajectory.isInterpolationMethod(pCombinationsTable.trackingMethod);
if any(unfilledSoundsources & ~isInterpolationMethod)
    message = 'The "Sound Sources" column contains an invalid value!';
    return;
end

if any(isempty(pCombinationsTable.trackingMethod)) ...
        || any(strcmp(pCombinationsTable.trackingMethod, ''))
    message = 'You must select a tracking method for all combinations!';
    return;
end

if any(cellfun(@(x) length(strsplit(x)), pCombinationsTable.referencePosition) ~= 2)
    message = '(Reference) Position START column contains at least one error. Please double check this column.';
    return;
end

if any(cellfun(@(x) length(strsplit(x)), pCombinationsTable.referencePositionEnd) ~= 2)
    message = '(Reference) Position END column contains at least one error. Please double check this column.';
    return;
end



success = true;

end
